Qt 5.6 | Qt 3D | C++ Classes | QAbstractSceneLoader

Qt 5.6.3 Reference Documentation

# QAbstractSceneLoader Class

(Qt3DRender::QAbstractSceneLoader)

Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Public Types

enum | Status { Loading, Loaded, Error }

## Properties

- source : QUrl
- status : const Status

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QAbstractSceneLoader(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QAbstractSceneLoader()
QUrl | source() const
Status | status() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSource(const QUrl &arg)
void | setStatus(Status status)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sourceChanged(const QUrl &source)
void | statusChanged(Status status)

- 2 signals inherited from Qt3DCore::QComponent
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QAbstractSceneLoader(QAbstractSceneLoaderPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 1 protected function inherited from Qt3DCore::QComponent
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Member Type Documentation

### enum QAbstractSceneLoader::Status

## Property Documentation

### source : QUrl

Access functions:

QUrl | source() const
void | setSource(const QUrl &arg)

Notifier signal:

void | sourceChanged(const QUrl &source)

### status : const Status

Access functions:

Status | status() const

Notifier signal:

void | statusChanged(Status status)

## Member Function Documentation

### QAbstractSceneLoader::QAbstractSceneLoader(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QAbstractSceneLoader.

### `[protected]` QAbstractSceneLoader::QAbstractSceneLoader(QAbstractSceneLoaderPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QAbstractSceneLoader::~QAbstractSceneLoader()

Destroys the instance of QAbstractSceneLoader.

### `[protected]` void QAbstractSceneLoader::copy(const Qt3DCore::QNode *ref)

### `[slot]` void QAbstractSceneLoader::setStatus(Status status)

See also status().